# Add a markup to your FX rate

Adding a markup to an existing FX rate. For MCP customers only.

Endpoint: PUT /foreignExchange/markup/{entity}
Version: 1
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `entity` (string, required)
    MCP Account Identifier (PartyID- Merchant Company ID, unique 6-digit ID given to you during the onboarding process) for which rates should be retrieved.

## Header parameters:

  - `Accept` (string, required)

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.

## Request fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `sourceCurrency` (any, required)
    The transaction currency code. If not supplied, the response contains rates for all source currencies against the target currency.
    Example: AUD

  - `targetCurrency` (any, required)
    Your funding (settlement) currency code. If not supplied, the response contains rates for all target currencies against the source currency.
    Example: GBP

  - `markup` (any, required)
    The additional margin percentage set up on FX rates.
    Example: 1.23

## Request examples:

  - `Add a markup` (unknown)

## Response 204:

  - `204` (unknown)
    OK response if the request is valid

## Response 401:

  - `401` (unknown)
    UNAUTHORIZED response if credentials are invalid

## Response 401 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 403:

  - `403` (unknown)
    FORBIDDEN response if Entitlements are not valid

## Response 403 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 404:

  - `404` (unknown)
    NOT FOUND response

## Response 404 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 403 examples:

  - `forbidden` (unknown)

## Response 404 examples:

  - `pageNotFound` (unknown)

